SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001514: http proxy only returns blank pages after some time when contentfilter is enabled - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001514Endian FirewallProxy HTTPpublic2008-12-16 11:372009-10-27 12:01
Reportersimon-endian 
Assigned Tosimon-endian 
PriorityimmediateSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target VersionFixed in Version2.3 
Summary0001514: http proxy only returns blank pages after some time when contentfilter is enabled
Descriptionit occured that user did only get blank pages no matter which site was requested.

log files contain:

Failed to connect to 127.0.0.1:9999
Failed to connect to 127.0.0.2:9999
...


Additional Informationdansguardian is version 2.9.9.3 and should be updated to 2.10.0.2 because this behavior seams related to:

Tue 21st October 2008 - DansGuardian 2.10.0.1 - stable
Improve malformed URL detection (dc2008.de no longer incorrectly classed as malformed). Improve persistent connection detection, correcting some situations in which DG would return a blank page to browsers. Updated "proxies" weighted phrase list. Updated Chinese Big-5 messages file from Vicente Chua.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001878)
simon-endian (developer)
2008-12-16 11:39
edited on: 2008-12-16 15:13

- updated spec for 10.2.0.2 and build rpm for testing
- updated our multi profile patches
- now using make install DESTDIR instead of %makeinstall macro
- %makeinstall macro did not work with DESTDIR argument, which lead to errors while rpm build process
- updated sources file with md5 of dansguardian tar gz

(0001880)
simon-endian (developer)
2008-12-17 09:45

updated dansguardianf1.conf.tmpl needed to uncomment 3 lines

Index: src/config/dansguardianf1.conf.tmpl
===================================================================
--- src/config/dansguardianf1.conf.tmpl (revision 15458)
+++ src/config/dansguardianf1.conf.tmpl (working copy)
@@ -25,8 +25,8 @@
 urlregexplist = '/etc/dansguardian/profiles/$FILTER_GROUP/urlregexplist'
 
 #blockdownloads = off
-#exceptionextensionlist = '/etc/dansguardian/profiles/$FILTER_GROUP/exceptionextensionlist'
-#exceptionmimetypelist = '/etc/dansguardian/profiles/$FILTER_GROUP/exceptionmimetypelist'
+exceptionextensionlist = '/etc/dansguardian/profiles/$FILTER_GROUP/exceptionextensionlist'
+exceptionmimetypelist = '/etc/dansguardian/profiles/$FILTER_GROUP/exceptionmimetypelist'
 
 bannedextensionlist = '/etc/dansguardian/profiles/$FILTER_GROUP/bannedextensionlist'
 bannedmimetypelist = '/etc/dansguardian/profiles/$FILTER_GROUP/bannedmimetypelist'
(0001881)
simon-endian (developer)
2008-12-17 09:54

updated restartdansguardian.py now exceptionextensionlist and exceptionmimetypelist are created (empty files), otherwhise dansguardian would not start

Index: src/bin/restartdansguardian.py
===================================================================
--- src/bin/restartdansguardian.py (revision 15458)
+++ src/bin/restartdansguardian.py (working copy)
@@ -225,10 +225,10 @@
 # "PICSFILE" : None, # Picsfile is generated separately
         "CONTENTREGEXPLIST" : None,
         "URLREGEXPLIST" : None,
- "EXCEPTIONEXTENSIONLIST" : None,
+ "EXCEPTIONEXTENSIONLIST" : "/etc/dansguardian/profiles/%s/exceptionextensionlist",
         "EXCEPTIONMIMETYPELIST" : None,
         "BANNEDEXTENSIONLIST" : None,
- "BANNEDMIMETYPELIST" : None,
+ "BANNEDMIMETYPELIST" : "/etc/dansguardian/profiles/%s/exceptionmimetypelist",
         "EXCEPTIONFILESITELIST" : None,
         "EXCEPTIONFILEURLLIST" : None,
         "LOGSITELIST" : None,
@@ -237,7 +237,8 @@
         "HEADERREGEXPLIST" : None,
         "BANNEDREGEXPHEADERLIST" : None,
         "ANONREGEXPLIST" : None,
- "GREYREGEXPURLLIST" : None}
+ "GREYREGEXPURLLIST" : None,
+ }
     # EXCEPTIONSITELIST = directly written by web ui
 
     dans_config = SettingsFile(MAIN_SETTINGS)
(0001883)
simon-endian (developer)
2008-12-17 09:56

this update should fix the problems
updated dansguardian (2.10.0.2-5.endian7) and efw-dansguardian (2.3.7-2.endian14) are now installed on a referencemachine to test if the bug reoccurs
(0001912)
simon-endian (developer)
2009-01-07 09:49

the update of dansguardian seams to have fixed the problem (it did not reoccur after more than one month)

- Issue History
Date Modified Username Field Change
2008-12-16 11:37 simon-endian New Issue
2008-12-16 11:37 simon-endian Assigned To => simon-endian
2008-12-16 11:39 simon-endian Note Added: 0001878
2008-12-16 15:13 simon-endian Note Edited: 0001878
2008-12-17 09:45 simon-endian Note Added: 0001880
2008-12-17 09:54 simon-endian Note Added: 0001881
2008-12-17 09:56 simon-endian Note Added: 0001883
2008-12-17 10:00 simon-endian Status new => feedback
2009-01-07 09:49 simon-endian Note Added: 0001912
2009-01-07 09:49 simon-endian Status feedback => resolved
2009-01-07 09:49 simon-endian Fixed in Version => 2.3
2009-01-07 09:49 simon-endian Resolution open => fixed
2009-10-27 12:01 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker